Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class CustomizerDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          jpicedt.graphic.toolkit.CustomizerDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class CustomizerDialog
extends JDialog

A dialog box that lays out an array of AbstractCustomizer's inside a JPanel or a JTabbedPane, depending on the number of customizers fed to the constructor. It further provides four default actions, namely : ok, cancel, load default, reload.

Since:
  jPicEdt 1.3.2
Version:
  $Id: CustomizerDialog.java,v 1.9.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `ALL_BUTTONS` mask to display all buttons
`static int` | `CANCEL_BUTTON` mask to display the CANCEL button
`static int` | `DEFAULT_BUTTON` mask to display the DEFAULT button
`static int` | `NO_BUTTON` mask to display no button at all
`static int` | `OK_BUTTON` mask to display the OK button
`static int` | `OK_CANCEL_BUTTONS` mask to display the OK and CANCEL buttons
`static int` | `RELOAD_BUTTON` mask to display the RELOAD button

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`CustomizerDialog(AbstractCustomizer customizer)` Builds a new dialog box from a single customizer. By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.
`CustomizerDialog(AbstractCustomizer[] customizers, String title, int selected)` Creates a new dialog box from the given array of AbstractCustomizer's, laying them out in a JTabbedPane. By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.
`CustomizerDialog(AbstractCustomizer[] customizers, String title, int selected, int buttonsMask)` Creates a new dialog box from the given array of AbstractCustomizer's, laying them out in a JTabbedPane. By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.
`CustomizerDialog(AbstractCustomizer customizer, int buttonsMask)` Builds a new dialog box from a single customizer. By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.

Method Summary
`boolean` | `isCancelled()`
`void` | `paneActivated(AbstractCustomizer c)` If this dialog was constructed with more than one inner-pane, this methods is invoked when a new pane gets activated.
`void` | `setOkButtonClosesDialog(boolean b)` Whether clicking the OK button, beside storing widgets content, also closes this dialog or not.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_BUTTON

    public static final int NO_BUTTON

  mask to display no button at all

  See Also:
    Constant Field Values

### OK_BUTTON

    public static final int OK_BUTTON

  mask to display the OK button

  See Also:
    Constant Field Values

### CANCEL_BUTTON

    public static final int CANCEL_BUTTON

  mask to display the CANCEL button

  See Also:
    Constant Field Values

### DEFAULT_BUTTON

    public static final int DEFAULT_BUTTON

  mask to display the DEFAULT button

  See Also:
    Constant Field Values

### RELOAD_BUTTON

    public static final int RELOAD_BUTTON

  mask to display the RELOAD button

  See Also:
    Constant Field Values

### OK_CANCEL_BUTTONS

    public static final int OK_CANCEL_BUTTONS

  mask to display the OK and CANCEL buttons

  See Also:
    Constant Field Values

### ALL_BUTTONS

    public static final int ALL_BUTTONS

  mask to display all buttons

  See Also:
    Constant Field Values

Constructor Detail

### CustomizerDialog

    public CustomizerDialog(AbstractCustomizer[] customizers,
                            String title,
                            int selected)

  Creates a new dialog box from the given array of AbstractCustomizer's, laying them out in a JTabbedPane.
  By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.

Parameters:
  `title` - the JDialog title ; if null, we use the first customizer title.
  `selected` - index of the selected customizer on start-up

### CustomizerDialog

    public CustomizerDialog(AbstractCustomizer[] customizers,
                            String title,
                            int selected,
                            int buttonsMask)

  Creates a new dialog box from the given array of AbstractCustomizer's, laying them out in a JTabbedPane.
  By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.

Parameters:
  `title` - the JDialog title ; if null, we use the first customizer title.
  `selected` - index of the selected customizer on start-up
  `buttonsMask` - buttons to be displayed : a mask computed from predefinite masks OR'd together

### CustomizerDialog

    public CustomizerDialog(AbstractCustomizer customizer)

  Builds a new dialog box from a single customizer.
  By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.

### CustomizerDialog

    public CustomizerDialog(AbstractCustomizer customizer,
                            int buttonsMask)

  Builds a new dialog box from a single customizer.
  By default, clicking the OK button does not close this dialog box, this must be set separately by invoking `setOkButtonClosesDialog`.

Parameters:
  `buttonsMask` - buttons to be displayed : a mask computed from predefinite masks OR'd together

Method Detail

### isCancelled

    public boolean isCancelled()

  Returns:
    true if the user pressed the Cancel action

### paneActivated

    public void paneActivated(AbstractCustomizer c)

  If this dialog was constructed with more than one inner-pane, this methods is invoked when a new pane gets activated.

### setOkButtonClosesDialog

    public void setOkButtonClosesDialog(boolean b)

  Whether clicking the OK button, beside storing widgets content, also closes this dialog or not. It is valid to call this method at any time, e.g. to change behaviour once this dialog has been made visible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org